Package io.vertx.rxjava3

## Interface WriteStreamSubscriber<R>

- All Superinterfaces:
    `FlowableSubscriber<R>`, `org.reactivestreams.Subscriber<R>`

      public interface WriteStreamSubscriber<R>
      extends FlowableSubscriber<R>

  A `WriteStream` to `Subscriber` adapter.
  Author:
    Thomas Segismont

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WriteStreamSubscriber<R>` | `onError​(Consumer<? super Throwable> handler)` | Sets the handler to invoke if the `Flowable` that was subscribed to terminates with an error.
    `WriteStreamSubscriber<R>` | `onWriteStreamEnd​(Action handler)` | Sets the handler to invoke when the adapted `WriteStream` ends successfully.
    `WriteStreamSubscriber<R>` | `onWriteStreamEndError​(Consumer<? super Throwable> handler)` | Sets the handler to invoke when the adapted `WriteStream` ends with an error.
    `WriteStreamSubscriber<R>` | `onWriteStreamError​(Consumer<? super Throwable> handler)` | Sets the handler to invoke if the adapted `WriteStream` fails.

    - ### Methods inherited from interface io.reactivex.rxjava3.core.FlowableSubscriber

      `onSubscribe`

    - ### Methods inherited from interface org.reactivestreams.Subscriber

      `onComplete, onError, onNext`

- - ### Method Detail

    - #### onError

          WriteStreamSubscriber<R> onError​(Consumer<? super Throwable> handler)

      Sets the handler to invoke if the `Flowable` that was subscribed to terminates with an error.

      The underlying `WriteStream.end()` method is not invoked in this case.

      Returns:
        a reference to this, so the API can be used fluently

    - #### onWriteStreamError

          WriteStreamSubscriber<R> onWriteStreamError​(Consumer<? super Throwable> handler)

      Sets the handler to invoke if the adapted `WriteStream` fails.

      The underlying `WriteStream.end()` method is not invoked in this case.

      Returns:
        a reference to this, so the API can be used fluently

    - #### onWriteStreamEnd

          WriteStreamSubscriber<R> onWriteStreamEnd​(Action handler)

      Sets the handler to invoke when the adapted `WriteStream` ends successfully.
      Returns:
        a reference to this, so the API can be used fluently

    - #### onWriteStreamEndError

          WriteStreamSubscriber<R> onWriteStreamEndError​(Consumer<? super Throwable> handler)

      Sets the handler to invoke when the adapted `WriteStream` ends with an error.
      Returns:
        a reference to this, so the API can be used fluently